Namespace
library
Image / Tag
golang:1.9.4-stretch
Content Digest
sha256:50edc9278a011f6b291d23d7cffa540c6d36da8c14b864feca266757b8fea2b5
Details
Created

2018-03-29 22:48:21 UTC

Size

256 MB

Content Digest
Environment
GOLANG_VERSION

1.9.4

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:bebcce41445a0be67e63665c298f73217c532640d75de97624d019429de2dd93 - 17.08% (43.7 MB)

[#001] sha256:ccedf06195c2218190a73a69ea8e401fa5ac51b04a5b9935d94aeadee71ab0e7 - 4.15% (10.6 MB)

[#002] sha256:a2dd95505cc0406437d77f89d014d8dac0994dd6010617639963daa11a551f5b - 1.7% (4.34 MB)

[#003] sha256:fdbf93f54b8200acdcdfa6872b18096425d61aefa305c7777a8bbd6a36e24f49 - 19.2% (49.2 MB)

[#004] sha256:998b3cbdf92c5b78904eda0e5a74608119dc5032a45d5b99aec0af09c2b5e34b - 23.13% (59.2 MB)

[#005] sha256:08b9e7d9b9256cd4f992b7c1b763ba2f5325232577096b019ee1d80829e85ecb - 34.74% (88.9 MB)

[#006] sha256:40b8601d43a5d73577da9503a9ddd631eb44eaada086c8549dd07c9f5aaabf3e - 0.0% (126 Bytes)

[#007] sha256:24009a81c7f83651bed4abb094f349a302be9fe8dce263f84d11ff7ef1d2b9c9 - 0.0% (1.33 KB)


History
2018-03-27 15:59:32 UTC

/bin/sh -c #(nop) ADD file:3a8e11cd900f3ac48c7d30158b5a85e65d78680861eb910888c20ef4ae42756f in /

2018-03-27 15:59:33 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-03-28 09:21:18 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2018-03-28 09:21:24 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-03-28 09:30:43 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-03-29 22:34:47 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-03-29 22:48:02 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.4

2018-03-29 22:48:18 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='15b0937615809f87321a457bb1265f946f9f6e736c563d6c5e0bd2c22e44f779' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c8cf3f79754a9fd6b33e2d8f930ee37d488328d460065992c72bc41c7b41a49' ;; arm64) goRelArch='linux-arm64'; goRelSha256='41a71231e99ccc9989867dce2fcb697921a68ede0bd06fc288ab6c2f56be8864' ;; i386) goRelArch='linux-386'; goRelSha256='d440aee90dad851630559bcee2b767b543ce7e54f45162908f3e12c3489888ab' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='8b25484a7b4b6db81b3556319acf9993cc5c82048c7f381507018cb7c35e746b' ;; s390x) goRelArch='linux-s390x'; goRelSha256='129f23b13483b1a7ccef49bc4319daf25e1b306f805780fdb5526142985edb68' ;; *) goRelArch='src'; goRelSha256='0573a8df33168977185aa44173305e5a0450f55213600e94541604b75d46dc06'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-03-29 22:48:19 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-03-29 22:48:19 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-03-29 22:48:20 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-03-29 22:48:20 UTC

/bin/sh -c #(nop) WORKDIR /go

2018-03-29 22:48:21 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2018-03-15 04:58:06 UTC

Size

261 MB

Content Digest
Environment
GOLANG_VERSION

1.9.4

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c73ab1c6897bf5c11da3c95cab103e7ca8cf10a6d041eda2ff836f45a40e3d3b - 16.49% (43 MB)

[#001] sha256:1ab373b3deaed929a15574ac1912afc6e173f80d400aba0e96c89f6a58961f2d - 4.06% (10.6 MB)

[#002] sha256:b542772b417703c0311c0b90136091369bcd9c2176c0e3ceed5a0114d743ee3c - 1.58% (4.13 MB)

[#003] sha256:57c8de432dbe337bb6cb1ad328e6c564303a3d3fd05b5e872fd9c47c16fdd02c - 18.27% (47.7 MB)

[#004] sha256:c81227e1ec90fab651e7efd9cecb37686154d0827a6f71a39c1bb624b9fe6ffa - 21.02% (54.9 MB)

[#005] sha256:c503a785f6fd8c959aba671c6e5169d8096618326a2605e31434df24d51fd9c0 - 38.57% (101 MB)

[#006] sha256:0f90e5cd37cc21a57ccd64145a83a7a920dd4a046a47dece8b29ae2e59dd7faa - 0.0% (126 Bytes)

[#007] sha256:8e848f75f6b281aad9ec47829be375fd16cc5a74427a79f2ff9534bb1acd3bc3 - 0.0% (1.33 KB)


History
2018-03-13 22:26:49 UTC

/bin/sh -c #(nop) ADD file:b380df301ccb5ca09f0d7cd5697ed402fa55f3e9bc5df2f4d489ba31f28de58a in /

2018-03-13 22:26:49 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-03-13 23:56:19 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2018-03-13 23:56:22 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-03-13 23:56:55 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-03-15 04:57:17 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-03-15 04:57:54 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.4

2018-03-15 04:58:03 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='15b0937615809f87321a457bb1265f946f9f6e736c563d6c5e0bd2c22e44f779' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c8cf3f79754a9fd6b33e2d8f930ee37d488328d460065992c72bc41c7b41a49' ;; arm64) goRelArch='linux-arm64'; goRelSha256='41a71231e99ccc9989867dce2fcb697921a68ede0bd06fc288ab6c2f56be8864' ;; i386) goRelArch='linux-386'; goRelSha256='d440aee90dad851630559bcee2b767b543ce7e54f45162908f3e12c3489888ab' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='8b25484a7b4b6db81b3556319acf9993cc5c82048c7f381507018cb7c35e746b' ;; s390x) goRelArch='linux-s390x'; goRelSha256='129f23b13483b1a7ccef49bc4319daf25e1b306f805780fdb5526142985edb68' ;; *) goRelArch='src'; goRelSha256='0573a8df33168977185aa44173305e5a0450f55213600e94541604b75d46dc06'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-03-15 04:58:04 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-03-15 04:58:04 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-03-15 04:58:05 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-03-15 04:58:05 UTC

/bin/sh -c #(nop) WORKDIR /go

2018-03-15 04:58:06 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2018-03-14 16:17:44 UTC

Size

228 MB

Content Digest
Environment
GOLANG_VERSION

1.9.4

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1296b637c2f207ccc536f8e55bad6857ee417d3b5ea4c82a92a8e8621a970f50 - 17.53% (39.9 MB)

[#001] sha256:0e2ab5e048ba56edebae7aceececc82f4b33c46e008d392e5fd1d5ad0da0959c - 4.11% (9.37 MB)

[#002] sha256:e1a6513627dbe58bc1e5151968379017a6d2b320b2ec9b35f6fd1235aeeadb3c - 1.64% (3.73 MB)

[#003] sha256:397cc0ade5ea7b2621b829913376f8c421662acb370154a3d29538c8e1598c90 - 19.4% (44.2 MB)

[#004] sha256:45538672a80314ae675c50e35dcbc57eb252134eb75382672bced4efc0908163 - 19.21% (43.8 MB)

[#005] sha256:369f691657f3df5d550e263459f2579462a8a9de3bc5f0959cba38c3712468ce - 38.1% (86.8 MB)

[#006] sha256:453516bc46709b344368916e2da1d2427499368ad15deca74abcb47a38f0abbc - 0.0% (156 Bytes)

[#007] sha256:bbf59a23e201e648641b1b4af52b7491a1aa511075ffc06f59f2cd42b7c11aa7 - 0.0% (1.33 KB)


History
2018-03-14 12:32:32 UTC

/bin/sh -c #(nop) ADD file:a48681cb8186079633f55084b5ecf518e0c50f24cfb6eb56bd42bca88f26e28d in /

2018-03-14 12:32:33 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-03-14 13:19:10 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2018-03-14 13:19:17 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-03-14 13:19:59 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-03-14 16:16:48 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-03-14 16:17:25 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.4

2018-03-14 16:17:41 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='15b0937615809f87321a457bb1265f946f9f6e736c563d6c5e0bd2c22e44f779' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c8cf3f79754a9fd6b33e2d8f930ee37d488328d460065992c72bc41c7b41a49' ;; arm64) goRelArch='linux-arm64'; goRelSha256='41a71231e99ccc9989867dce2fcb697921a68ede0bd06fc288ab6c2f56be8864' ;; i386) goRelArch='linux-386'; goRelSha256='d440aee90dad851630559bcee2b767b543ce7e54f45162908f3e12c3489888ab' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='8b25484a7b4b6db81b3556319acf9993cc5c82048c7f381507018cb7c35e746b' ;; s390x) goRelArch='linux-s390x'; goRelSha256='129f23b13483b1a7ccef49bc4319daf25e1b306f805780fdb5526142985edb68' ;; *) goRelArch='src'; goRelSha256='0573a8df33168977185aa44173305e5a0450f55213600e94541604b75d46dc06'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-03-14 16:17:42 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-03-14 16:17:42 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-03-14 16:17:43 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-03-14 16:17:44 UTC

/bin/sh -c #(nop) WORKDIR /go

2018-03-14 16:17:44 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2018-03-15 05:15:47 UTC

Size

232 MB

Content Digest
Environment
GOLANG_VERSION

1.9.4

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:3476b6ec1aa77d47beaf22adc259097130bcc9eec853636fb1dcf4f5c2925a56 - 17.61% (40.9 MB)

[#001] sha256:eab7dbcb22e5d9d968cd5d78dfb96bf92704a665b3d1710483048568abd1ba5b - 4.13% (9.6 MB)

[#002] sha256:03e8835ddfb1ea03693a4eb69d729fa15c982207e1518c3dd84f76336f920f9d - 1.68% (3.9 MB)

[#003] sha256:bade4a02b1a0af4c7b52bcd066c9d44034d712a06638e6e7dbb69c1127476aa9 - 19.7% (45.8 MB)

[#004] sha256:8b5d347d8b1cf0e5e44efc946e168812b756706e1ae04089babac994e94c5a53 - 20.1% (46.7 MB)

[#005] sha256:cee43b910283583a997ac43390456e1d1585f026b5d94964dfc72d8b27b988b7 - 36.78% (85.5 MB)

[#006] sha256:f2bd859c4ab64305c862a7b0881750eb1cabb11052af1bee4d9b04de283d9eb3 - 0.0% (125 Bytes)

[#007] sha256:a69c2f51232a4b9c8d330a9909881bc49649dbb2ea06476ff889402f241a109d - 0.0% (1.34 KB)


History
2018-03-14 17:30:57 UTC

/bin/sh -c #(nop) ADD file:2ebfda145008a73d7d0f2dc29946bfc3ad65048b3a3f0ca0283263e413b692d4 in /

2018-03-14 17:30:58 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-03-14 18:46:35 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2018-03-14 18:46:51 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-03-14 18:48:21 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-03-15 05:13:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-03-15 05:15:06 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.4

2018-03-15 05:15:38 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='15b0937615809f87321a457bb1265f946f9f6e736c563d6c5e0bd2c22e44f779' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c8cf3f79754a9fd6b33e2d8f930ee37d488328d460065992c72bc41c7b41a49' ;; arm64) goRelArch='linux-arm64'; goRelSha256='41a71231e99ccc9989867dce2fcb697921a68ede0bd06fc288ab6c2f56be8864' ;; i386) goRelArch='linux-386'; goRelSha256='d440aee90dad851630559bcee2b767b543ce7e54f45162908f3e12c3489888ab' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='8b25484a7b4b6db81b3556319acf9993cc5c82048c7f381507018cb7c35e746b' ;; s390x) goRelArch='linux-s390x'; goRelSha256='129f23b13483b1a7ccef49bc4319daf25e1b306f805780fdb5526142985edb68' ;; *) goRelArch='src'; goRelSha256='0573a8df33168977185aa44173305e5a0450f55213600e94541604b75d46dc06'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-03-15 05:15:40 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-03-15 05:15:41 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-03-15 05:15:44 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-03-15 05:15:45 UTC

/bin/sh -c #(nop) WORKDIR /go

2018-03-15 05:15:47 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2018-03-15 09:30:16 UTC

Size

240 MB

Content Digest
Environment
GOLANG_VERSION

1.9.4

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1743854d776e01d7f49a30bb37dbbfb45e788dc99753cb027de750d2da47a89c - 18.01% (43.3 MB)

[#001] sha256:cbff2499a166062800d8b7dc1a9f296fa4faea9e6fd79d6bab7f93bcc5e98a9a - 4.1% (9.86 MB)

[#002] sha256:48c89f7b09fa962405ed41f0799ecc73d66a91b8ba2fde1dbd5ebd4d4e10deb8 - 1.7% (4.09 MB)

[#003] sha256:cb8e6651c19a7ccc1b425e4054dddb7bae76e0e0c2b27d8fd9a44fb94408f6ce - 19.86% (47.7 MB)

[#004] sha256:049df49e5e11dd14d61326827bbbdfdb458ae77725ce5c5675806e54a14f746c - 20.94% (50.3 MB)

[#005] sha256:4fff123e8d8834e7a034fc1ba3744a76ce8f7c67895ebdfa1337ddd249b2144a - 35.38% (85 MB)

[#006] sha256:8411255ca3479206a1cbc59236f111db7bd07783f3a08e37f3c748bbf7e29a2c - 0.0% (156 Bytes)

[#007] sha256:87cff26d1f253e2be6636a8135d44395896d970a9bc45ee70fe8958d85184b61 - 0.0% (1.33 KB)


History
2018-03-14 00:34:58 UTC

/bin/sh -c #(nop) ADD file:cd28b9ad859ce13c0d4fee241178bba68cc8f696eb1722a67ac3c62c2c64e087 in /

2018-03-14 00:34:59 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-03-15 02:11:02 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2018-03-15 02:11:48 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-03-15 02:14:18 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-03-15 09:28:29 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-03-15 09:29:38 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.4

2018-03-15 09:30:00 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='15b0937615809f87321a457bb1265f946f9f6e736c563d6c5e0bd2c22e44f779' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c8cf3f79754a9fd6b33e2d8f930ee37d488328d460065992c72bc41c7b41a49' ;; arm64) goRelArch='linux-arm64'; goRelSha256='41a71231e99ccc9989867dce2fcb697921a68ede0bd06fc288ab6c2f56be8864' ;; i386) goRelArch='linux-386'; goRelSha256='d440aee90dad851630559bcee2b767b543ce7e54f45162908f3e12c3489888ab' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='8b25484a7b4b6db81b3556319acf9993cc5c82048c7f381507018cb7c35e746b' ;; s390x) goRelArch='linux-s390x'; goRelSha256='129f23b13483b1a7ccef49bc4319daf25e1b306f805780fdb5526142985edb68' ;; *) goRelArch='src'; goRelSha256='0573a8df33168977185aa44173305e5a0450f55213600e94541604b75d46dc06'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-03-15 09:30:03 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-03-15 09:30:05 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-03-15 09:30:12 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-03-15 09:30:13 UTC

/bin/sh -c #(nop) WORKDIR /go

2018-03-15 09:30:16 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2018-03-14 08:17:50 UTC

Size

234 MB

Content Digest
Environment
GOLANG_VERSION

1.9.4

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:4777ebf2c92e16819bdac8f1861addbd58c0ed81dbb208e677f5bc404331f1df - 18.35% (42.9 MB)

[#001] sha256:8213858b0ae4fd06d326b00d8a951d74f729dd96bbed2da6e797c380a7504dda - 4.35% (10.2 MB)

[#002] sha256:f791772d5eb6cdff561d14b68be84f923eb89474c71886701833c2ced9e2dd3f - 1.78% (4.16 MB)

[#003] sha256:e1f738d53429c1c9ea6d045141f02d845c22848230ea6aef9963f790ca0f8e94 - 20.58% (48.1 MB)

[#004] sha256:d54c7db55a82c2a16fd443204b8af6347e1410db9db3461949a625bca666eaeb - 18.71% (43.7 MB)

[#005] sha256:fa080bffba84359cb0421529ccd773a93ef85e287a489dd982c0a25ca04bd876 - 36.22% (84.7 MB)

[#006] sha256:8031b7330a79500e051ff421609cd78197c845a05112ca0272d8f6fd727edac2 - 0.0% (126 Bytes)

[#007] sha256:5e315c108346037ad738b55a80a938055f5ff8d03bd62ffc72615e9688bc7bde - 0.0% (1.33 KB)


History
2018-03-14 05:23:49 UTC

/bin/sh -c #(nop) ADD file:0d1edaf8dfadb3f8f127a53726a33b0679e90f8d66b891fa1434e47535999cc2 in /

2018-03-14 05:23:50 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-03-14 05:54:59 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2018-03-14 05:55:09 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-03-14 05:55:42 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-03-14 08:17:14 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-03-14 08:17:40 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.9.4

2018-03-14 08:17:48 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='15b0937615809f87321a457bb1265f946f9f6e736c563d6c5e0bd2c22e44f779' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c8cf3f79754a9fd6b33e2d8f930ee37d488328d460065992c72bc41c7b41a49' ;; arm64) goRelArch='linux-arm64'; goRelSha256='41a71231e99ccc9989867dce2fcb697921a68ede0bd06fc288ab6c2f56be8864' ;; i386) goRelArch='linux-386'; goRelSha256='d440aee90dad851630559bcee2b767b543ce7e54f45162908f3e12c3489888ab' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='8b25484a7b4b6db81b3556319acf9993cc5c82048c7f381507018cb7c35e746b' ;; s390x) goRelArch='linux-s390x'; goRelSha256='129f23b13483b1a7ccef49bc4319daf25e1b306f805780fdb5526142985edb68' ;; *) goRelArch='src'; goRelSha256='0573a8df33168977185aa44173305e5a0450f55213600e94541604b75d46dc06'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-03-14 08:17:49 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-03-14 08:17:49 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-03-14 08:17:50 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-03-14 08:17:50 UTC

/bin/sh -c #(nop) WORKDIR /go

2018-03-14 08:17:50 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/